Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class MetaDataEntry

    java.lang.Object
      org.apache.axis2.util.MetaDataEntry

All Implemented Interfaces:
  Externalizable, Serializable, SafeSerializable

    public class MetaDataEntry

extends Object
implements Externalizable, SafeSerializable

An internal class for holding a set of information about an object.

See Also:
  Serialized Form

Field Summary
`static String` | `END_OF_LIST`

Constructor Summary
`MetaDataEntry()` Simple constructor
`MetaDataEntry(String className, String qnameAsString)` Constructor
`MetaDataEntry(String className, String qnameAsString, ArrayList children)` Constructor
`MetaDataEntry(String className, String qnameAsString, String extraName)` Constructor

Method Summary
`void` | `addToList(MetaDataEntry e)` Add to the list
`ArrayList` | `getChildren()` Get the list
`String` | `getClassName()` Get the class name
`String` | `getExtraName()` Get the additional name associated with the object
`String` | `getName()` This is a convenience method.
`QName` | `getQName()` Get the QName
`String` | `getQNameAsString()` Get the QName as a string
`boolean` | `isListEmpty()` Indicates whether the list is empty or not
`void` | `readExternal(ObjectInput inObject)` Restore the contents of the object that was previously saved.
`void` | `removeList()` Remove the list
`void` | `setChildren(ArrayList L)` Set the list
`void` | `setClassName(String c)` Set the class name
`void` | `setExtraName(String e)` Set the additional name associated with the object
`void` | `setQName(QName q)` Set the QName
`void` | `setQName(String n)` Set the QName
`void` | `writeExternal(ObjectOutput o)` Save the contents of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### END_OF_LIST

    public static String END_OF_LIST

Constructor Detail

### MetaDataEntry

    public MetaDataEntry()

  Simple constructor

### MetaDataEntry

    public MetaDataEntry(String className,
                         String qnameAsString)

  Constructor

  Parameters:
    `className` - name of the object class
    `qnameAsString` - an expanded version of the QName of this object

### MetaDataEntry

    public MetaDataEntry(String className,
                         String qnameAsString,
                         String extraName)

  Constructor

  Parameters:
    `className` - name of the object class
    `qnameAsString` - an expanded version of the QName of this object
    `extraName` - an additional name associated withe the object

### MetaDataEntry

    public MetaDataEntry(String className,
                         String qnameAsString,
                         ArrayList children)

  Constructor

  Parameters:
    `className` - name of the object class
    `qnameAsString` - an expanded version of the QName of this object
    `children` - an ArrayList containing MetaDataEntries for owned objects

Method Detail

### getClassName

    public String getClassName()

  Get the class name

  Returns:
    the class name string

### setClassName

    public void setClassName(String c)

  Set the class name

  Parameters:
    `c` - the class name string

### getQName

    public QName getQName()

  Get the QName

  Returns:
    the QName based on the qnameAsString value

### setQName

    public void setQName(QName q)

  Set the QName

  Parameters:
    `q` - the QName

### setQName

    public void setQName(String n)

  Set the QName

  Parameters:
    `n` - the QName as a string

### getQNameAsString

    public String getQNameAsString()

  Get the QName as a string

  Returns:
    the QName as a string

### getName

    public String getName()

  This is a convenience method. Returns the string that is used as a name.

  Returns:
    the name

### getExtraName

    public String getExtraName()

  Get the additional name associated with the object

  Returns:
    the additional name string

### setExtraName

    public void setExtraName(String e)

  Set the additional name associated with the object

  Parameters:
    `e` - the extra name string

### isListEmpty

    public boolean isListEmpty()

  Indicates whether the list is empty or not

  Returns:
    false for a non-empty list, true for an empty list

### getChildren

    public ArrayList getChildren()

  Get the list

  Returns:
    the array list

### setChildren

    public void setChildren(ArrayList L)

  Set the list

  Parameters:
    `L` - the ArrayList of MetaDataEntry objects

### addToList

    public void addToList(MetaDataEntry e)

  Add to the list

  Parameters:
    `e` - the MetaDataEntry object to add to the list

### removeList

    public void removeList()

  Remove the list

### writeExternal

    public void writeExternal(ObjectOutput o)
                       throws IOException

  Save the contents of this object

  Specified by:
    `writeExternal` in interface `Externalizable`
  Parameters:
    `out` - The stream to write the object contents to
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput inObject)
                      throws IOException,
                             ClassNotFoundException

  Restore the contents of the object that was previously saved.

  NOTE: The field data must read back in the same order and type as it was written.

  Specified by:
    `readExternal` in interface `Externalizable`
  Parameters:
    `in` - The stream to read the object contents from
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.